Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Srscl

    java.lang.Object
      org.netlib.lapack.Srscl

    public class Srscl

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SRSCL multiplies an n-element real vector x by the real scalar 1/a.
     *  This is done without overflow or underflow as long as
     *  the final result x/a does not overflow or underflow.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The number of components of the vector x.
     *
     *  SA      (input) REAL
     *          The scalar a which is used to divide each component of x.
     *          SA must be >= 0, or the subroutine will divide by zero.
     *
     *  SX      (input/output) REAL array, dimension
     *                         (1+(N-1)*abs(INCX))
     *          The n-element vector x.
     *
     *  INCX    (input) INTEGER
     *          The increment between successive values of the vector SX.
     *          > 0:  SX(1) = X(1) and SX(1+(i-1)*INCX) = x(i),     1< i<= n

     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`Srscl()`

Method Summary
`static void` | `srscl(int n, float sa, float[] sx, int _sx_offset, int incx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Srscl

    public Srscl()

Method Detail

### srscl

    public static void srscl(int n,
                             float sa,
                             float[] sx,
                             int _sx_offset,
                             int incx)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD